/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.file;

import de.ozgcloud.apilib.file.OzgCloudUploadFile.OzgCloudUploadFileBuilder;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;

public class OzgCloudUploadFileTestFactory {

	public static final String FILE_NAME = "test.txt";
	public static final String CONTENT_TYPE = "text/plain";
	public static final String FIELD_NAME = "field";

	public static OzgCloudUploadFile create() {
		return createBuilder().build();
	}

	public static OzgCloudUploadFileBuilder createBuilder() {
		return OzgCloudUploadFile.builder()
			.fileName(FILE_NAME)
			.contentType(CONTENT_TYPE)
			.vorgangId(OzgCloudVorgangTestFactory.ID.toString())
			.fieldName(FIELD_NAME);
	}

}
